Skip to content

v12.0.0

Compare
Choose a tag to compare
@github-actions github-actions released this 25 Nov 16:26
· 59 commits to master since this release

12.0.0 (2023-11-25)

⚠ BREAKING CHANGES

  • mongoose: mongoose 8.0.0 is now the version in use
  • tsconfig.json: tsconfig "target" is now "es2021" which could be potentially breaking
  • package.json: Minimal NodeJS version is now 16.20.1

Features

  • package.json: update nodejs version to 16.20 (8dd8467)
  • tsconfig.json: update "target" to match minimal NodeJS capabilities (ce3cf74)

Fixes

  • types::QueryHelperThis: provide generic "RawDocType" (74cdf28), closes #870 #870

Style

  • processProp: fix lint (db6042a)
  • types::EnumValues: remove some TODOs (5f0abf5)

Dependencies

  • mongoose: upgrade to 8.0.0 (fc16e81)
  • mongoose: upgrade to 8.0.1 (6223bf8)

Dev-Dependencies

  • @types/jest: upgrade to 29.5.10 (ac2869a)
  • @types/jest: upgrade to 29.5.8 (571d2af)
  • @types/lodash: upgrade to 4.14.201 (9be7a9e)
  • @types/lodash: upgrade to 4.14.202 (3868481)
  • @types/node: upgrade to 16.11.7 (e0de5a1)
  • @types/semver: upgrade to 7.5.5 (1bdd67b)
  • @types/semver: upgrade to 7.5.6 (f96c647)
  • @typescript-eslint/*: upgrade to 6.11.0 (470cae7)
  • @typescript-eslint/*: upgrade to 6.12.0 (df34158)
  • @typescript-eslint/*: upgrade to 6.9.1 (1e7784d)
  • eslint: upgrade to 8.53.0 (f8a1573)
  • eslint: upgrade to 8.54.0 (61a7124)
  • jest-runner-tsd: upgrade to 5.0.0 (9d2dc2d)
  • lint-staged: upgrade to 14.0.1 (b77a092)
  • mongodb-memory-server: upgrade to 9.1.1 (e57d841)
  • prettier: upgrade to 3.1.0 (433488b)
  • typescript: upgrade to 5.2.2 (e5ce00b)